> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apimart.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Lyria 3.5 Cover 改编

> 使用 Lyria 3.5 对整首音乐进行风格改编

```bash cURL theme={null}
curl --request POST \
  --url https://api.apimart.ai/v1/music/generations/coverFlowMusic \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "flowmusic",
    "version": "lyria-3.5",
    "clip_id": "abc123-def456",
    "instruction": "将这首歌曲改为爵士风格",
    "strength": 0.5
  }'
```

```python Python theme={null}
import requests

url = "https://api.apimart.ai/v1/music/generations/coverFlowMusic"

payload = {
    "model": "flowmusic",
    "version": "lyria-3.5",
    "clip_id": "abc123-def456",
    "instruction": "将这首歌曲改为爵士风格",
    "strength": 0.5
}

headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript JavaScript theme={null}
const url = "https://api.apimart.ai/v1/music/generations/coverFlowMusic";

const payload = {
  model: "flowmusic",
  version: "lyria-3.5",
  clip_id: "abc123-def456",
  instruction: "将这首歌曲改为爵士风格",
  strength: 0.5
};

const headers = {
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
};

fetch(url, {
  method: "POST",
  headers: headers,
  body: JSON.stringify(payload)
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error('Error:', error));
```

```json 200 theme={null}
{
  "code": 200,
  "data": [
    {
      "status": "submitted",
      "task_id": "task_01KWXVD0E653EZ9FWD2SD9NNB6"
    }
  ]
}
```

```json 400 theme={null}
{
  "error": {
    "message": "strength must be between 0 and 1",
    "type": "invalid_request",
    "param": "",
    "code": "invalid_request"
  }
}
```

```json 403 theme={null}
{
  "error": {
    "message": "余额不足",
    "type": "invalid_request",
    "param": "",
    "code": "quota_not_enough"
  }
}
```

```json 429 theme={null}
{
  "error": {
    "message": "当前分组容量饱和，请稍后重试",
    "type": "rate_limit_error",
    "param": "",
    "code": "rate_limit_error"
  }
}
```

## 认证

**Authorization** `string` *required*

所有接口均需要使用 Bearer Token 进行认证

获取 API Key：

访问 [API Key 管理页面](https://apimart.ai/keys) 获取您的 API Key

使用时在请求头中添加：

```
Authorization: Bearer YOUR_API_KEY
```

## 请求参数

**model** `string` *required*

模型名称，**固定传 `"flowmusic"`**（大小写不敏感）

**version** `string` *required*

模型版本，固定传 `"lyria-3.5"`

> [!NOTE]
>
> Lyria 3.5 仍使用 `flowmusic` 作为模型名，不要将 `model` 改为 `lyria-3.5` 或 `flowmusic-lyria-3.5`。

**clip\_id** `string` *required*

源音乐的唯一标识符，来自已成功任务的 `result.music[].clip_id`

**instruction** `string` *required*

Cover 编辑指令

示例：`"将这首歌曲改为爵士风格"`

**strength** `number` *required*

编辑强度

取值范围：`0` \~ `1`，越大改动越大

**title** `string`

Cover 后的音乐标题

**seed** `string`

随机种子，用于结果复现

## 响应

**code** `integer`

响应状态码，成功时为 200

**data** `array`

返回数据数组

**数组元素**

**status** `string`

任务状态，初始提交时为 `submitted`

**task\_id** `string`

任务唯一标识符，用于查询任务状态和结果

## 使用场景

### 场景 1：整曲改为爵士风格

```json theme={null}
{
  "model": "flowmusic",
  "version": "lyria-3.5",
  "clip_id": "abc123-def456",
  "instruction": "将这首歌曲改为爵士风格",
  "strength": 0.5
}
```

### 场景 2：外部音频导入后改编

先通过[上传音频](/cn/api-reference/audios/flow-music/upload-audio.md)把外部音频导入换取 clip\_id，再做 Cover：

```json theme={null}
{
  "model": "flowmusic",
  "version": "lyria-3.5",
  "clip_id": "1db3a20f-4ddc-44e8-8c9c-6c9093c16ffe",
  "instruction": "改成爵士风格",
  "strength": 0.6
}
```

> [!NOTE]
>
> **查询任务结果**
>
> Cover 改编为异步任务，提交后会返回 `task_id`。使用 [获取任务状态](/cn/api-reference/audios/flow-music/query.md) 接口查询生成进度和结果。Cover 产物是**新的** `clip_id`，后续操作请使用新 clip\_id。

## 任务完成结果示例

**查询返回示例**（`GET /v1/music/tasks/{task_id}`）：

```json theme={null}
{
  "code": 200,
  "data": {
    "id": "task_01KWXVD0E653EZ9FWD2SD9NNB6",
    "status": "completed",
    "progress": 100,
    "created": 1783413244,
    "completed": 1783413315,
    "actual_time": 71,
    "cost": 0.048,
    "credits_cost": 0.48,
    "result": {
      "music": [
        {
          "clip_id": "ef3d804e-fa97-402f-ba17-4ff08270159b",
          "title": "Untitled (Cover)",
          "duration_seconds": "178.03733333",
          "create_time": "2026-07-07T08:34:58.112190Z",
          "lyrics": "[Verse 1]\nWaking up to the morning light,\n...",
          "lyrics_id": "c302d603-81b6-552f-8122-e512928d6aa1",
          "lyrics_timing_markers": [[10, 12], [212, 36]],
          "audio_url": "https://cdn.apimart.ai/audio/flowmusic_ef3d804e.m4a",
          "wav_url": "https://cdn.apimart.ai/audio/flowmusic_ef3d804e.wav",
          "image_url": "https://cdn.apimart.ai/image/flowmusic_ef3d804e_cover.jpg"
        }
      ]
    }
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.